Skip to Content
EIS
API Referencev1Actions Runtime

Get Available Runtime Actions

GET
/v1/actions/runtime/modules/{moduleId}/organizations/{organizationId}/objects/{objectType}/{objectId}

Resolve an API object and return the action groups currently available to the authenticated user.

For a DSS trunk, copy the values from the trunk's actionObject: use DSS_TRUNK as objectType, the trunk identifier as objectId, and pass its context entries as query parameters prefixed with context.. In particular, context.presetId is required.

Path Parameters

moduleId*integer

Module identifier from actionObject.moduleId.

Range1 <= value
organizationId*integer

Organization identifier from actionObject.organizationId.

Formatint64
Range1 <= value
objectType*string

Runtime object type from actionObject.objectType.

objectId*string

Object identifier from actionObject.objectId.

Query Parameters

context.presetId*integer

DSS preset identifier from actionObject.context.presetId.

Formatint64
Range1 <= value

Response Body

Runtime actions retrieved successfully.

application/json
  1. response
target*
groups*array<>
Example Request
curl -X GET 'https://api.eis.it/v1/actions/runtime/modules/1/organizations/1/objects/string/string?context.presetId=1'
Example Response
{  "target": {    "moduleId": 0,    "organizationId": 0,    "objectType": "string",    "objectId": "string",    "context": {      "property1": "string",      "property2": "string"    },    "data": {}  },  "groups": [    {      "code": "string",      "label": "string",      "actions": [        {          "actionId": 0,          "key": "string",          "label": "string",          "description": "string",          "displayOrder": 0,          "fields": [            {              "key": "string",              "label": "string",              "fieldType": "string",              "required": true,              "sensitive": true,              "displayOrder": 0,              "config": null            }          ],          "outputs": [            {              "key": "string",              "label": "string",              "fieldType": "string",              "sensitive": true,              "oneTime": true,              "copyable": true,              "displayOrder": 0            }          ]        }      ]    }  ]}